#include <windows.h>

#include "type.h"
#include "cd.h"
#include "Win32Def.h"

#define VERSION     0x0100  // Version must be in BCD format

static FPSEWin32About info = {
    FPSE_CDROM,
    VERSION & 0xFF,
    VERSION >> 8,
    0,
    "LDChen",
    "CDNull",
    "This Plugin is a dummy CD driver. Use it only for running "
    "demos and executables that don't need CD-ROM accesses."
};

static HANDLE hinstance = (HANDLE)-1;

BOOL WINAPI
#ifdef __GNUC__
LibMain
#else
DllMain
#endif
(HANDLE hInstance, DWORD fdwReason, PVOID fImpLoad)
{
    hinstance = hInstance;
    return TRUE;
}

int CD_Configure(UINT32 *par)
{
    FPSEWin32 *info = (FPSEWin32 *)par;

    MessageBox(info->HWnd,"No configuration is required","CDNull config",
               MB_OK);

    return FPSE_OK;
}

void CD_About(UINT32 *par)
{
    memcpy( par, &info, sizeof(FPSEWin32About) );
}
